import org.eclipse.swt.SWT;
import org.eclipse.swt.events.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.jface.window.ApplicationWindow;

public class TemperatureConverter extends ApplicationWindow {
Label flabel;
Label clabel;
Text fvalue;
Text cvalue;
Composite converterComposite;
  
public TemperatureConverter() {
    super(null);
    addStatusLine();
  }
public Control createContents(Composite parent) {
    getShell().setText("Temperature Converter");
    converterComposite= new Composite(parent, SWT.NULL);
    converterComposite.setLayout(new GridLayout(4, false));
    
    flabel = new Label(converterComposite, SWT.NULL);
    flabel.setText("Fahrenheit: ");
    fvalue = new Text(converterComposite, SWT.SINGLE | SWT.BORDER);

    clabel = new Label(converterComposite, SWT.NULL);
    clabel.setText("Celsius: ");
    cvalue = new Text(converterComposite, SWT.SINGLE | SWT.BORDER);
     
   	  Button button = new Button(converterComposite, SWT.PUSH);
      button.setText("covert");
      button.addListener(SWT.Selection, new Listener() {
      public void handleEvent(Event event) {
      
      String selected=fvalue.getText();
     if (selected==""){
		 cvalue.setText("");
         setStatus("Enter the value.");
       }
	   else{
        double f = Double.parseDouble(selected);
        double c = (f - 32) / 1.8;
        cvalue.setText(Double.toString(c));
        setStatus("Temperature Convert Successfully from F to C.");
	}
  }
	});
  return converterComposite;
  }
  public static void main(String[] args) {
    TemperatureConverter converter = new TemperatureConverter();
    converter.setBlockOnOpen(true);
    converter.open();
    
  }
  
}
